PSP Slim CFW

Discussion in 'PSP - Hacking & Homebrew' started by Porotto, May 19, 2014.

  1. Porotto
    OP

    Porotto Member

    Newcomer
    18
    2
    May 19, 2014
    Eastbourne, East Sussex
    So basically i found my old Psp and its current FW is 5.00 M33-6

    I want to know whats the safest thing to update to that will work from m33-6 considering some games dont work on this old version.

    I keep reading about 6.60 ME but then its followed by alot of comments about bricking due to not being the correct type of psp
     
  2. ground

    ground GBAtemp Advanced Fan

    Member
    909
    281
    Mar 22, 2007
    Netherlands
  3. Porotto
    OP

    Porotto Member

    Newcomer
    18
    2
    May 19, 2014
    Eastbourne, East Sussex
    Would it be safe to go up to CFW 6.39 ME v9.6 rather than 6.20 ME?

    Also whats the difference between LME and ME?
     
  4. NicoBlogs

    NicoBlogs GBAtemp Regular

    Member
    289
    89
    Apr 19, 2013
    United States
    USA
    Update to 6.60, 6.20 can't play all games like God eater 2, and type-0 i think.
     
    6SoulTriox likes this.
  5. Logan97

    Logan97 G.B.A.T.e.m.p T.e.m.p.l.a.r K.n.i.g.h.t

    Member
    509
    250
    Dec 24, 2013
    United States
    Where all things matter
    Go for the 6.60 update it can play mostly any psx games, and psp game. It's highly recommended to update :).
     
  6. TecXero

    TecXero Technovert

    Member
    2,814
    909
    Apr 13, 2014
    United States
    Mainframe
    Since it was already on 5.00M33-6, we know it's fully hackable. Just update to 6.60 and then setup Pro or ME on it. There's plenty of guides online and it's simple, so you shouldn't have any problems.